%%% this function prints all the clusters (optimal determinisitic, and
%%% predetermined) in a user firendly format.
function IBLIB_print_all_clusters(tPCXs,tICXs,tIYCs,kPCXs,kICXs,kIYCs,x,NAMESX,FUNCZs,CATZ_NAMEs,NZ,KS)
        
if NZ>0
        fprintf('\nPredetermined clusters:\n');
        for I=1:NZ,
            fprintf('predetermined cluster: %s  complexity= %g accuracy= %g \t %s \n',CATZ_NAMEs{I},tICXs(I),tIYCs(I));
            [~,~,msgBB]=IBLIB_print_clusters(tPCXs{I},x,NAMESX,0.1,1,FUNCZs{I});
        end
        fprintf('\n');
        
else
        fprintf('\nNOTE: No Predetermined clusters (no input or bad input file)\n');
end
if KS==0
        fprintf('\nNOTE: No computation of deterministic clusters (input parameter was empty)\n');
else
    fprintf('\nDeterministic clusters: (long format)\n');
        for I=1:length(KS)
            fprintf(sprintf('deterministic clusters for K=%d complexity= %g accuracy= %g \t \n',KS(I),kICXs(I),kIYCs(I)));
            [~,~,msgBB]=IBLIB_print_clusters(kPCXs{I},x,NAMESX,0.1,1,[]);
            
        end
        
        fprintf('\n');
end
